Package org.apache.groovy.json.internal

## Interface ValueMap<K,​V>

- All Superinterfaces:
    `Map<K,​V>`
  All Known Implementing Classes:
    `LazyValueMap`, `ValueMapImpl`

      public interface ValueMap<K,​V>
      extends Map<K,​V>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(MapItemValue miv)` |
    `boolean` | `hydrated()` | Has the map been hydrated.
    `Map.Entry<String,​Value>[]` | `items()` | Give me the items in the map without hydrating the map.
    `int` | `len()` | Return size w/o hydrating the map.

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- - ### Method Detail

    - #### add

          void add​(MapItemValue miv)

    - #### len

          int len()

      Return size w/o hydrating the map.

    - #### hydrated

          boolean hydrated()

      Has the map been hydrated.

    - #### items

          Map.Entry<String,​Value>[] items()

      Give me the items in the map without hydrating the map. Realize that the array is likely larger than the length so array items can be null.